<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="index: C">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">J</a>&nbsp;<a href="index-6.html">K</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#checkAdmin(javax.servlet.http.HttpServletRequest)">checkAdmin(HttpServletRequest)</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">取得登入中的帳號管理員身分</div>
</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#checkDuplicate(app.Account)">checkDuplicate(Account)</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">檢查帳號的email或員工編號是否重複</div>
</dd>
<dt><span class="member-name-link"><a href="../app/KitchenHelper.html#checkDuplicate(app.Kitchen)">checkDuplicate(Kitchen)</a></span> - Method in class app.<a href="../app/KitchenHelper.html" title="class in app">KitchenHelper</a></dt>
<dd>
<div class="block">檢查廚房地址是否重複</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#checkDuplicate(app.Rent)">checkDuplicate(Rent)</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">檢查租用時間是否重複</div>
</dd>
<dt><span class="member-name-link"><a href="../app/TransactionHelper.html#checkDuplicate(app.Transaction)">checkDuplicate(Transaction)</a></span> - Method in class app.<a href="../app/TransactionHelper.html" title="class in app">TransactionHelper</a></dt>
<dd>
<div class="block">檢查交易是否重複</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#checkDuplicate(app.Visa)">checkDuplicate(Visa)</a></span> - Method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">檢查信用卡地址是否重複</div>
</dd>
<dt><span class="member-name-link"><a href="../util/DBMgr.html#close(java.sql.ResultSet,java.sql.Statement,java.sql.Connection)">close(ResultSet, Statement, Connection)</a></span> - Static method in class util.<a href="../util/DBMgr.html" title="class in util">DBMgr</a></dt>
<dd>
<div class="block">關閉所有資料庫連線與釋放SQL資源</div>
</dd>
<dt><span class="member-name-link"><a href="../util/DBMgr.html#close(java.sql.Statement,java.sql.Connection)">close(Statement, Connection)</a></span> - Static method in class util.<a href="../util/DBMgr.html" title="class in util">DBMgr</a></dt>
<dd>
<div class="block">關閉所有資料庫連線與釋放SQL資源</div>
</dd>
<dt><a href="../controllers/package-summary.html">controllers</a> - package controllers</dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#create(app.Account)">create(Account)</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">新增資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/KitchenHelper.html#create(app.Kitchen)">create(Kitchen)</a></span> - Method in class app.<a href="../app/KitchenHelper.html" title="class in app">KitchenHelper</a></dt>
<dd>
<div class="block">新增廚房資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#create(app.Rent)">create(Rent)</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">新增租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/TransactionHelper.html#create(app.Transaction)">create(Transaction)</a></span> - Method in class app.<a href="../app/TransactionHelper.html" title="class in app">TransactionHelper</a></dt>
<dd>
<div class="block">新增交易資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#create(app.Visa)">create(Visa)</a></span> - Method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">新增信用卡資料</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">J</a>&nbsp;<a href="index-6.html">K</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
